aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2006-10-10 19:43:37 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2006-10-10 19:43:37 +0000
commit5f5f5fb20c471cf4c0b6957f916c011d60a25cbc (patch)
treeea9c2a0d33e407f6fa97f57b8f3b12c38138d53a /dev-util
parenttclx-8.4: removed amd64 bad bit (diff)
downloadsci-5f5f5fb20c471cf4c0b6957f916c011d60a25cbc.tar.gz
sci-5f5f5fb20c471cf4c0b6957f916c011d60a25cbc.tar.bz2
sci-5f5f5fb20c471cf4c0b6957f916c011d60a25cbc.zip
cmt-1.18.20061003: version bump
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@351 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/cmt/Manifest8
-rw-r--r--dev-util/cmt/cmt-1.18.20061003.ebuild77
-rw-r--r--dev-util/cmt/files/digest-cmt-1.18.200610033
3 files changed, 88 insertions, 0 deletions
diff --git a/dev-util/cmt/Manifest b/dev-util/cmt/Manifest
index f737fbce8..c094d3011 100644
--- a/dev-util/cmt/Manifest
+++ b/dev-util/cmt/Manifest
@@ -3,10 +3,15 @@ MD5 114d61e10aa17f3b71985c584c8ebcd7 files/80cmt-mode-gentoo.el 205
RMD160 1cd8921efc32dee6505c9d325c85ea717d2ec55a files/80cmt-mode-gentoo.el 205
SHA256 f2f2614ae2cb957a7a02b52d8a26ace52bcff6a3cb6dcd62d20e1ff4dc93afca files/80cmt-mode-gentoo.el 205
DIST CMTv1r18p20060606.tar.gz 650822 RMD160 45ce40eb3acb0f50edbf3c6e11bfc25c6480d050 SHA1 c263e02fd3ce3bf853d2f98b69109679f49e7d53 SHA256 adf9aeb9e7d7959f006545aa60fcdffa63ffe774acf29ba4c96552b07f91e16d
+DIST CMTv1r18p20061003.tar.gz 650887 RMD160 0d264669bc5928c49e8a4002360e61af620c0630 SHA1 d2f5faff6fa996aedbd2ee4795b57f476c13e353 SHA256 1a11de2126b6c09835aacb0c57396562476d0347b4b805af79f6fed2d685eba4
EBUILD cmt-1.18.20060606.ebuild 1700 RMD160 6c9fb7872a41f6f34b9b97d4c5ec06d80baca703 SHA1 94032e230a7588caa95ec6b52a3fc16a102502b5 SHA256 53a4560b02818918787f7378c3fcb5beb932c40e3dcbd3eff457badd5dcf4ec0
MD5 c76f764cb51ab54c3cba517cb8036640 cmt-1.18.20060606.ebuild 1700
RMD160 6c9fb7872a41f6f34b9b97d4c5ec06d80baca703 cmt-1.18.20060606.ebuild 1700
SHA256 53a4560b02818918787f7378c3fcb5beb932c40e3dcbd3eff457badd5dcf4ec0 cmt-1.18.20060606.ebuild 1700
+EBUILD cmt-1.18.20061003.ebuild 1700 RMD160 6c9fb7872a41f6f34b9b97d4c5ec06d80baca703 SHA1 94032e230a7588caa95ec6b52a3fc16a102502b5 SHA256 53a4560b02818918787f7378c3fcb5beb932c40e3dcbd3eff457badd5dcf4ec0
+MD5 c76f764cb51ab54c3cba517cb8036640 cmt-1.18.20061003.ebuild 1700
+RMD160 6c9fb7872a41f6f34b9b97d4c5ec06d80baca703 cmt-1.18.20061003.ebuild 1700
+SHA256 53a4560b02818918787f7378c3fcb5beb932c40e3dcbd3eff457badd5dcf4ec0 cmt-1.18.20061003.ebuild 1700
MISC ChangeLog 417 RMD160 adb7fa2757f6f0e952c269caea2826d6f553126c SHA1 7822929a8927bfc128e5d50d9ff760047c87a3ed SHA256 fe484bc6766aecbf738802599ace71e33e2e814da41174a38d755dcd37cfdec4
MD5 decfbcdf6aa80e3f57504ed4067a4d75 ChangeLog 417
RMD160 adb7fa2757f6f0e952c269caea2826d6f553126c ChangeLog 417
@@ -18,3 +23,6 @@ SHA256 2c06fd732e44b1398c02a8432198bc4d41084e68656e7d9db4f4338b170e62e2 metadata
MD5 778293f6cb21ef10e545d15ce11d4aca files/digest-cmt-1.18.20060606 253
RMD160 30cee28c3311c9e05ba9197ba2e967ebd33647b1 files/digest-cmt-1.18.20060606 253
SHA256 8058de9f5b3419ea20ffed8a829fdf07e2ca678a2a92d381a1f64f0cff50a18e files/digest-cmt-1.18.20060606 253
+MD5 94efc87e9964712b8e9576ac3a756d54 files/digest-cmt-1.18.20061003 253
+RMD160 b9533788ac974dd15f1cabae05ba9d8ca83db43a files/digest-cmt-1.18.20061003 253
+SHA256 b8c94180435e598d2e6f6be3e806d8268328f05625fb78c7f88f5352c6098644 files/digest-cmt-1.18.20061003 253
diff --git a/dev-util/cmt/cmt-1.18.20061003.ebuild b/dev-util/cmt/cmt-1.18.20061003.ebuild
new file mode 100644
index 000000000..2c32ae784
--- /dev/null
+++ b/dev-util/cmt/cmt-1.18.20061003.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit elisp-common toolchain-funcs versionator
+
+CPV=($(get_version_components ${PV}))
+CMT_PV=v${CPV[0]}r${CPV[1]}p${CPV[2]}
+
+DESCRIPTION="Cross platform configuration management environment"
+HOMEPAGE="http://www.cmtsite.org/"
+SRC_URI="http://www.cmtsite.org/${CMT_PV}/CMT${CMT_PV}.tar.gz"
+
+LICENSE="CeCILL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="emacs java doc"
+
+S=${WORKDIR}/CMT/${CMT_PV}
+CMTDIR=/usr/share/CMT/${CMT_PV}
+
+
+src_compile() {
+ cd ${S}/mgr
+ ./INSTALL
+ source setup.sh
+ make \
+ cpp="$(tc-getCXX)" \
+ cppflags="${CXXFLAGS}" \
+ || die "make failed"
+}
+
+src_install() {
+ sed -i -e "s:${S}:${CMTDIR}:" mgr/setup.{sh,csh}
+ dodir ${CMTDIR}
+ cp -pPR mgr src "${D}"/${CMTDIR}
+
+ echo "CMTROOT=${CMTDIR}" > 99cmt
+ echo "CMTBIN=`uname`-`uname -m | sed -e 's# ##g'`" >> 99cmt
+ echo "CMTCONFIG=`${CMTROOT}/mgr/cmt_system.sh`" >> 99cmt
+ rm -f ${CMTBIN}/*.o
+ cp -pPR ${CMTBIN} "${D}"/${CMTDIR}
+ dodir /usr/bin
+ dosym ${CMTDIR}/${CMTBIN}/cmt.exe /usr/bin/cmt
+
+ if use java; then
+ echo "#!/bin/sh" > jcmt
+ echo "java cmt_parser" >> jcmt
+ exeinto /usr/bin
+ doexe jcmt
+ echo "CLASSPATH=${CLASSPATH}:${CMTDIR}/java/cmt.jar" >> 99cmt
+ fi
+ doenvd 99cmt
+ dodoc doc/*.txt
+ dohtml doc/{ChangeLog,ReleaseNotes}.html
+
+ if use doc; then
+ cd ${S}/mgr
+ make gendoc
+ cd ${S}/doc
+ dohtml -r CMTDoc.html Images CMTFAQ.html
+ fi
+ if use emacs; then
+ elisp-site-file-install \
+ doc/cmt-mode.el ${FILESDIR}/80cmt-mode-gentoo.el
+ insinto ${CMTDIR}/xemacs
+ doins ${S}/doc/init.el
+ fi
+}
+
+pkg_postinst () {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/dev-util/cmt/files/digest-cmt-1.18.20061003 b/dev-util/cmt/files/digest-cmt-1.18.20061003
new file mode 100644
index 000000000..00e93861c
--- /dev/null
+++ b/dev-util/cmt/files/digest-cmt-1.18.20061003
@@ -0,0 +1,3 @@
+MD5 63b4cc5edc5694d44c06b306c6db0582 CMTv1r18p20061003.tar.gz 650887
+RMD160 0d264669bc5928c49e8a4002360e61af620c0630 CMTv1r18p20061003.tar.gz 650887
+SHA256 1a11de2126b6c09835aacb0c57396562476d0347b4b805af79f6fed2d685eba4 CMTv1r18p20061003.tar.gz 650887